%define		module	pisa
Summary:	HTML/XML/CSS to PDF converter using the ReportLab toolkit
Summary(pl.UTF-8):	Konwerter formatów HTML/XML/CSS do PDF korzystający z narzędzi ReportLab
Name:		python-%{module}
Version:	3.0.33
Release:	5
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pisa/%{module}-%{version}.tar.gz
# Source0-md5:	e2040b12211303d065bc4ae2470d2700
Patch0:		reportlab3.patch
URL:		http://www.xhtml2pdf.com/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-html5lib
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	sed >= 4.0
Requires:	python
Requires:	python-PIL
Requires:	python-ReportLab >= 2.2
Requires:	python-html5lib
Requires:	python-pyPdf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML/XML/CSS to PDF converter using the ReportLab toolkit.

%description -l pl.UTF-8
Konwerter formatów HTML/XML/CSS do PDF korzystający z narzędzi
ReportLab.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

install -d $RPM_BUILD_ROOT%{_bindir}
cp -p pisa.py $RPM_BUILD_ROOT%{_bindir}
sed -i 's@%{_prefix}/local/bin/python.*$@%{_bindir}/python@' $RPM_BUILD_ROOT%{_bindir}/pisa.py

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt README.txt
%attr(755,root,root) %{_bindir}/pisa
%attr(755,root,root) %{_bindir}/pisa.py
%attr(755,root,root) %{_bindir}/xhtml2pdf
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{py_sitescriptdir}/ho
%{py_sitescriptdir}/sx
%changelog
* Sun May 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pisa.git;a=log;h=master

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> 541b7aa
- make version test future proof

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> d160e30
- fixed bogus version test and removed unnecessary dep
- rel 5

* Mon May 23 2016 Mateusz Korniak <matkor@pld-linux.org> 7c0cc4a
- Release 4. R update.

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 39b21e5
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 274c341
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 46b1b0d
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e684275
- release 2

* Thu Jun 17 2010 Patryk Zawadzki <patrys@room-303.com> 2f66e69
- 3.0.33
- hooray for Apache license

* Mon Feb 22 2010 Patryk Zawadzki <patrys@room-303.com> aa39660
- updated URL

* Wed Jul 08 2009 Patryk Zawadzki <patrys@room-303.com> a3c3faf
- requires new ReportLab

* Wed Jul 08 2009 Patryk Zawadzki <patrys@room-303.com> 793d949
- 3.0.32

* Tue Nov 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 30ca0e4
- noarch, no CFLAGS

* Tue Nov 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 3f83f9a
- pl, python BRs

* Tue Nov 06 2007 Patryk Zawadzki <patrys@room-303.com> 610292f
- package command line tool

* Tue Nov 06 2007 Patryk Zawadzki <patrys@room-303.com> 9f149ea
- initial PLD release

